package com.zswc.creativity.activity

import android.os.Bundle
import com.zswc.creativity.base.MBActivity
import com.zswc.creativity.databinding.ActivityMyInfoBinding
import com.zswc.creativity.databinding.ActivitySpreadBinding
import com.zswc.creativity.databinding.ActivityTibOrderBinding
import com.zswc.creativity.databinding.ActivityWithdrawBinding
import com.zswc.creativity.vmodel.MyInfoVModel
import com.zswc.creativity.vmodel.SpreadVModel
import com.zswc.creativity.vmodel.TibOrderVModel
import com.zswc.creativity.vmodel.WithdrawVModel

/**
 * 订单详情
 *Created by shihuiyun
 */
class TibOrderActivity : MBActivity<TibOrderVModel, ActivityTibOrderBinding>() {

    override fun init(savedInstanceState: Bundle?) {
        super.init(savedInstanceState)
        var orderid=intent?.extras?.getString("orderid")
        var type=intent?.extras?.getString("type")
        vm.getOrderDetals(orderid,type)

    }

    override fun binding(): ActivityTibOrderBinding {
       return ActivityTibOrderBinding.inflate(layoutInflater)
    }

    override fun vmClass(): Class<TibOrderVModel> {
        return TibOrderVModel::class.java
    }
    override fun transluent(): Boolean {
        return true
    }

    override fun title(): String? {
        return null
    }


}
